@font-face {
    font-family: 'PPNeueMontreal';
    src: url('/assets/fonts/PPNeueMontreal-Regular.ttf');
}
body {
    height: 100vh;
}
* {
    font-family: "PPNeueMontreal", sans-serif !important;
    box-sizing: border-box;
}
.web-container {
    max-width: 480px;
    margin: 0 auto;
    background: linear-gradient(180deg, #EBE9E6 0%, white 100%);
    height: 100vh;
}
.content {
    padding: 0 20px;
}
.header {
    text-align: center;
    background-color: white;
    display: flex;
    justify-content: space-between;
    padding: 30px 20px;
    align-items: center;
    margin-bottom: 20px;
}
.header img {
    max-width: 40px;
}

.list-title {
    font-size: 18px;
}
.top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
}
.top a.copy {
    position: relative;
    display: flex;
    gap: 3px;
    align-items: center;
    color: #1a202c;
    font-size: 12px;
}
.top .copy.line-button {
    border-color: #D3D3D3;
}
.top a.copy.copied:after {
    content: 'Link copied!';
    position: absolute;
    right: 0;
    bottom: -16px;
    font-size: 11px;
}
.top a.copy img {
    width: 10px;
}
.view-on-qvist {
    color: #626262;
    font-size: 12px;
}

.places {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding-bottom: 40px;
}

.place {
    position: relative;
}
.place .image {
    width: 100%;
    height: 100%;
}
.place .image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.top .actions {
    display: flex;
    gap: 6px;
    align-items: center;
}
.shadow-1 {
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.5) 0%, rgba(0, 0, 0, 0.2) 100%);
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 50%;
}
.shadow-2 {
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.2) 100%, rgba(0, 0, 0, 0.5) 0%);
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 50%;
}
.place .place-top {
    position: absolute;
    left: 0;
    top: 0;
    z-index: 3;
    padding: 20px;
    width: 100%;
}
.place .place-footer {
    position: absolute;
    left: 0;
    bottom: 0;
    z-index: 3;
    padding: 20px;
    width: 100%;
    color: white;
    display: flex;
    justify-content: space-between;
    align-items: end;
}
.place .place-footer .info {}
.place .place-footer .info .title {
    font-size: 18px;
}
.place .place-footer .info .location {
    font-size: 9px;
}
.place .place-footer .status {
    position: relative;
    padding-left: 12px;
}
.place .place-footer .status:after {
    content: '';
    position: absolute;
    left: 0;
    top: calc(50% - 3px);
    width: 6px;
    height: 6px;
    border-radius: 12px;
    background-color: red;
}
.place .place-footer .status.opened {
    background-color: #1CD81C;
}
.place .place-footer .status .status-text {
    font-size: 11px;
}
.line-button {
    border-radius: 30px;
    height: 40px;
    border: solid 1px white;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: 0 20px;
    color: white;
}



.menus {}
.menus .menu {
    position: relative;
    cursor: pointer;
}
.menu .shadow {
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.5) 100%);
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
}
.menus .menu .image {
    width: 100%;
    height: 100%;
}
.menus .menu .image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.menus .menu .info {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    padding: 20px;
    color: white;
    font-size: 18px;
}
.menus .menu .info .menu-title {}
.menus .menu .info .menu-available {
    font-size: 9px;
    color: #D3D3D3;
}

.menu-detail {}
.content:not(.detail) .menu-detail, .content:is(.detail) .menus {
    display: none;
}
.menu-detail .info {}
.menu-detail .info .menu-title {
    font-size: 18px;
    display: flex;
    justify-content: space-between;
}
.menu-detail .info .menu-available {
    font-size: 10px;
    color: #777777;
}
.menu-detail .info .menu-currency {
    font-size: 10px;
    color: #777777;
}
.menu-detail .categories {
    margin-top: 40px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.menu-detail .categories .category {
    padding-bottom: 20px;
}
.menu-detail .categories .category:not(:last-child) {
    border-bottom: solid 1px #CCCCCC;
}
.menu-detail .categories .category .category-title {
    font-size: 18px;
}
.menu-detail .categories .category .category-image {
    margin-top: 12px;
}
.menu-detail .categories .category .category-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.menu-detail .categories .category .products {
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 16px;
}
.menu-detail .categories .category .products .product {
    display: flex;
    justify-content: space-between;
}
.menu-detail .categories .category .products .product .image {
    width: 40px;
    height: 40px;
    border-radius: 15px;
    overflow: hidden;
    margin-right: 12px;
}
.menu-detail .categories .category .products .product .image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.menu-detail .categories .category .products .product .info {
    flex: 1;
}
.menu-detail .categories .category .products .product .info .product-title {
    font-size: 14px;
}
.menu-detail .categories .category .products .product .info .product-description {
    color: #777777;
    font-size: 11px;
}
.menu-detail .categories .category .products .product .price {
    font-size: 14px;
}
.close-menu {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 4px;
    font-size: 11px;
    color: #777777;
}



.app-landing {
    background-color: white;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    font-size: 12px;
}
.app-landing .landing-header {
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.app-landing .landing-header .app {
    flex: 1;
    display: flex;
    align-items: center;
}
.app-landing .landing-header .app .image {
    width: 40px;
    height: 40px;
    border-radius: 10px;
    overflow: hidden;
    margin-right: 10px;
}
.app-landing .landing-header .app .image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.app-landing .landing-header .app .info {}
.app-landing .landing-header .app .info .title {}
.app-landing .landing-header .app .info .motto {
    font-size: 11px;
    color: #918A8A;
}
.download {
    display: inline-flex;
    background-color: black;
    height: 40px;
    border-radius: 30px;
    justify-content: center;
    align-items: center;
    padding: 0 16px;
    font-size: 11px;
    color: white;
    gap: 6px;
}
.app-landing .landing-header .download img {
    width: 12px;
}
.app-landing .landing-body {
    width: 100%;
    height: 100%;
    flex: 1;
}
.app-landing .landing-body .image {
    width: 100%;
    height: 100%;
}
.app-landing .landing-body .image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.app-landing .landing-body .download-container {
    position: absolute;
    left: 0;
    bottom: 60px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.app-landing .landing-body .download {
    font-size: 11px;
    background-color: white;
    color: black;
    height: 50px;
}
.app-landing .landing-body .download img {
    width: 12px;
}
.app-landing .landing-footer {}